# Hurricane VLSI Database

List of all members | Public Types | Static Public Member Functions
Hurricane::DbU Class Reference
DbU/Unit description

DataBase Unit managment (API). More...

## Public Types
enum | UnitPower { Pico = 1, Nano, Micro, Milli, Unity, Kilo }
enum | StringMode { Db = (1<<0), Grid = (1<<1), Symbolic = (1<<2) }
enum | SnapMode { Inferior = 1, Superior = 2, Nearest = 4 }
typedef std::int64_t | Unit

## Static Public Member Functions
static Unit | fromDb (Unit value)
static Unit | fromGrid (double value)
static Unit | fromLambda (double value)
static Unit | fromPhysical (double value, UnitPower p)
static unsigned int | getPrecision ()
static unsigned int | getMaximalPrecision ()
static double | getResolution ()
static void | setPrecision (unsigned int precision, unsigned int flags=NoFlags)
static void | setGridsPerLambda (double gridsPerLambda, unsigned int flags=NoFlags)
static double | getGridsPerLambda ()
static DbU::Unit | getRealSnapGridStep ()
static DbU::Unit | getOnRealSnapGrid (DbU::Unit u, SnapMode mode=Nearest)
static void | setRealSnapGridStep (DbU::Unit step)
static DbU::Unit | getSymbolicSnapGridStep ()
static DbU::Unit | getOnSymbolicSnapGrid (DbU::Unit u, SnapMode mode=Nearest)
static void | setSymbolicSnapGridStep (DbU::Unit step)
static DbU::Unit | getOnCustomGrid (DbU::Unit u, DbU::Unit step, SnapMode mode=Nearest)
static DbU::Unit | getOnPhysicalGrid (DbU::Unit u, SnapMode mode=Superior)
static Unit | toDb (Unit u)
static double | toGrid (Unit u)
static double | toLambda (Unit u)
static double | toPhysical (Unit u, UnitPower p)
static string | getValueString (Unit u, int mode=SmartTruncate)
static void | setStringMode (unsigned int mode, UnitPower p=Nano)
Obsoleteds
Due to their somewhat unclear naming convention, those functions have been renamed by the to / from variants.
static Unit | db (Unit value)
static Unit | grid (double value)
static Unit | lambda (double value)
static Unit | getDb (Unit u)
static double | getGrid (Unit u)
static double | getLambda (Unit u)

## Detailed Description

DataBase Unit managment (API).

Explanations about this class are here DbU/Unit description.

The documentation for this class was generated from the following files:

- DbU.h
- DbU.dox

Generated by doxygen 1.8.14 on Sun Mar 8 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved